Module org.firebirdsql.jaybird
Package org.firebirdsql.gds.ng.listeners

# Interface ExceptionListenable

All Known Subinterfaces:
  `FbAttachment`, `FbBlob`, `FbDatabase`, `FbService`, `FbStatement`, `FbTransaction`, `FbWireAttachment`, `FbWireBlob`, `FbWireDatabase`, `FbWireService`, `FbWireStatement`, `FbWireTransaction`

All Known Implementing Classes:
  `AbstractFbAttachment`, `AbstractFbBlob`, `AbstractFbDatabase`, `AbstractFbService`, `AbstractFbStatement`, `AbstractFbTransaction`, `AbstractFbWireBlob`, `AbstractFbWireDatabase`, `AbstractFbWireInputBlob`, `AbstractFbWireOutputBlob`, `AbstractFbWireService`, `AbstractFbWireStatement`, `InlineBlob`, `V10Database`, `V10InputBlob`, `V10OutputBlob`, `V10Service`, `V10Statement`, `V10Transaction`, `V11Database`, `V11InputBlob`, `V11OutputBlob`, `V11Statement`, `V12Database`, `V12Statement`, `V13Database`, `V13Statement`, `V15Database`, `V16Database`, `V16Statement`, `V18Database`, `V18Statement`, `V19Database`, `V19Statement`

public interface ExceptionListenable
Provides notification of exceptions to `ExceptionListener` instance.

Implementations are required to use `WeakReference` to hold the listener. It is strongly suggested to use `ExceptionListenerDispatcher` in your implementation.

Since:
  3.0
Author:
  Mark Rotteveel

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addExceptionListener(ExceptionListener listener)`
  Adds an exception listener to this object.
  `void`
  `removeExceptionListener(ExceptionListener listener)`
  Removes an exception listener to this object.

- ## Method Details

  - ### addExceptionListener

    void addExceptionListener(ExceptionListener listener)
    Adds an exception listener to this object.

    Implementations use `WeakReference`.

    Parameters:
      `listener` - Listener to register

  - ### removeExceptionListener

    void removeExceptionListener(ExceptionListener listener)
    Removes an exception listener to this object.
    Parameters:
      `listener` - Listener to remove